Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network118.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
118.128.0.0
Broadcast address
118.255.255.255
First usable
118.128.0.1
Last usable
118.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 76800000 · Integer 1988100096 to 1996488703
Reverse DNS zones
128.118.in-addr.arpa
129.118.in-addr.arpa
130.118.in-addr.arpa
131.118.in-addr.arpa
132.118.in-addr.arpa
133.118.in-addr.arpa
134.118.in-addr.arpa
135.118.in-addr.arpa
136.118.in-addr.arpa
137.118.in-addr.arpa
138.118.in-addr.arpa
139.118.in-addr.arpa
140.118.in-addr.arpa
141.118.in-addr.arpa
142.118.in-addr.arpa
143.118.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110110.10000000.00000000.00000000118.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01110110.10000000.00000000.00000000118.128.0.0
Broadcast01110110.11111111.11111111.11111111118.255.255.255
Split into smaller subnets/20

118.128.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1118.128.0.0/20118.128.0.1 to 118.128.15.254118.128.15.2554,094
2118.128.16.0/20118.128.16.1 to 118.128.31.254118.128.31.2554,094
3118.128.32.0/20118.128.32.1 to 118.128.47.254118.128.47.2554,094
4118.128.48.0/20118.128.48.1 to 118.128.63.254118.128.63.2554,094
5118.128.64.0/20118.128.64.1 to 118.128.79.254118.128.79.2554,094
6118.128.80.0/20118.128.80.1 to 118.128.95.254118.128.95.2554,094
7118.128.96.0/20118.128.96.1 to 118.128.111.254118.128.111.2554,094
8118.128.112.0/20118.128.112.1 to 118.128.127.254118.128.127.2554,094
9118.128.128.0/20118.128.128.1 to 118.128.143.254118.128.143.2554,094
10118.128.144.0/20118.128.144.1 to 118.128.159.254118.128.159.2554,094
11118.128.160.0/20118.128.160.1 to 118.128.175.254118.128.175.2554,094
12118.128.176.0/20118.128.176.1 to 118.128.191.254118.128.191.2554,094
13118.128.192.0/20118.128.192.1 to 118.128.207.254118.128.207.2554,094
14118.128.208.0/20118.128.208.1 to 118.128.223.254118.128.223.2554,094
15118.128.224.0/20118.128.224.1 to 118.128.239.254118.128.239.2554,094
16118.128.240.0/20118.128.240.1 to 118.128.255.254118.128.255.2554,094
17118.129.0.0/20118.129.0.1 to 118.129.15.254118.129.15.2554,094
18118.129.16.0/20118.129.16.1 to 118.129.31.254118.129.31.2554,094
19118.129.32.0/20118.129.32.1 to 118.129.47.254118.129.47.2554,094
20118.129.48.0/20118.129.48.1 to 118.129.63.254118.129.63.2554,094
21118.129.64.0/20118.129.64.1 to 118.129.79.254118.129.79.2554,094
22118.129.80.0/20118.129.80.1 to 118.129.95.254118.129.95.2554,094
23118.129.96.0/20118.129.96.1 to 118.129.111.254118.129.111.2554,094
24118.129.112.0/20118.129.112.1 to 118.129.127.254118.129.127.2554,094
25118.129.128.0/20118.129.128.1 to 118.129.143.254118.129.143.2554,094
26118.129.144.0/20118.129.144.1 to 118.129.159.254118.129.159.2554,094
27118.129.160.0/20118.129.160.1 to 118.129.175.254118.129.175.2554,094
28118.129.176.0/20118.129.176.1 to 118.129.191.254118.129.191.2554,094
29118.129.192.0/20118.129.192.1 to 118.129.207.254118.129.207.2554,094
30118.129.208.0/20118.129.208.1 to 118.129.223.254118.129.223.2554,094
31118.129.224.0/20118.129.224.1 to 118.129.239.254118.129.239.2554,094
32118.129.240.0/20118.129.240.1 to 118.129.255.254118.129.255.2554,094
33118.130.0.0/20118.130.0.1 to 118.130.15.254118.130.15.2554,094
34118.130.16.0/20118.130.16.1 to 118.130.31.254118.130.31.2554,094
35118.130.32.0/20118.130.32.1 to 118.130.47.254118.130.47.2554,094
36118.130.48.0/20118.130.48.1 to 118.130.63.254118.130.63.2554,094
37118.130.64.0/20118.130.64.1 to 118.130.79.254118.130.79.2554,094
38118.130.80.0/20118.130.80.1 to 118.130.95.254118.130.95.2554,094
39118.130.96.0/20118.130.96.1 to 118.130.111.254118.130.111.2554,094
40118.130.112.0/20118.130.112.1 to 118.130.127.254118.130.127.2554,094
41118.130.128.0/20118.130.128.1 to 118.130.143.254118.130.143.2554,094
42118.130.144.0/20118.130.144.1 to 118.130.159.254118.130.159.2554,094
43118.130.160.0/20118.130.160.1 to 118.130.175.254118.130.175.2554,094
44118.130.176.0/20118.130.176.1 to 118.130.191.254118.130.191.2554,094
45118.130.192.0/20118.130.192.1 to 118.130.207.254118.130.207.2554,094
46118.130.208.0/20118.130.208.1 to 118.130.223.254118.130.223.2554,094
47118.130.224.0/20118.130.224.1 to 118.130.239.254118.130.239.2554,094
48118.130.240.0/20118.130.240.1 to 118.130.255.254118.130.255.2554,094
49118.131.0.0/20118.131.0.1 to 118.131.15.254118.131.15.2554,094
50118.131.16.0/20118.131.16.1 to 118.131.31.254118.131.31.2554,094
51118.131.32.0/20118.131.32.1 to 118.131.47.254118.131.47.2554,094
52118.131.48.0/20118.131.48.1 to 118.131.63.254118.131.63.2554,094
53118.131.64.0/20118.131.64.1 to 118.131.79.254118.131.79.2554,094
54118.131.80.0/20118.131.80.1 to 118.131.95.254118.131.95.2554,094
55118.131.96.0/20118.131.96.1 to 118.131.111.254118.131.111.2554,094
56118.131.112.0/20118.131.112.1 to 118.131.127.254118.131.127.2554,094
57118.131.128.0/20118.131.128.1 to 118.131.143.254118.131.143.2554,094
58118.131.144.0/20118.131.144.1 to 118.131.159.254118.131.159.2554,094
59118.131.160.0/20118.131.160.1 to 118.131.175.254118.131.175.2554,094
60118.131.176.0/20118.131.176.1 to 118.131.191.254118.131.191.2554,094
61118.131.192.0/20118.131.192.1 to 118.131.207.254118.131.207.2554,094
62118.131.208.0/20118.131.208.1 to 118.131.223.254118.131.223.2554,094
63118.131.224.0/20118.131.224.1 to 118.131.239.254118.131.239.2554,094
64118.131.240.0/20118.131.240.1 to 118.131.255.254118.131.255.2554,094
65118.132.0.0/20118.132.0.1 to 118.132.15.254118.132.15.2554,094
66118.132.16.0/20118.132.16.1 to 118.132.31.254118.132.31.2554,094
67118.132.32.0/20118.132.32.1 to 118.132.47.254118.132.47.2554,094
68118.132.48.0/20118.132.48.1 to 118.132.63.254118.132.63.2554,094
69118.132.64.0/20118.132.64.1 to 118.132.79.254118.132.79.2554,094
70118.132.80.0/20118.132.80.1 to 118.132.95.254118.132.95.2554,094
71118.132.96.0/20118.132.96.1 to 118.132.111.254118.132.111.2554,094
72118.132.112.0/20118.132.112.1 to 118.132.127.254118.132.127.2554,094
73118.132.128.0/20118.132.128.1 to 118.132.143.254118.132.143.2554,094
74118.132.144.0/20118.132.144.1 to 118.132.159.254118.132.159.2554,094
75118.132.160.0/20118.132.160.1 to 118.132.175.254118.132.175.2554,094
76118.132.176.0/20118.132.176.1 to 118.132.191.254118.132.191.2554,094
77118.132.192.0/20118.132.192.1 to 118.132.207.254118.132.207.2554,094
78118.132.208.0/20118.132.208.1 to 118.132.223.254118.132.223.2554,094
79118.132.224.0/20118.132.224.1 to 118.132.239.254118.132.239.2554,094
80118.132.240.0/20118.132.240.1 to 118.132.255.254118.132.255.2554,094
81118.133.0.0/20118.133.0.1 to 118.133.15.254118.133.15.2554,094
82118.133.16.0/20118.133.16.1 to 118.133.31.254118.133.31.2554,094
83118.133.32.0/20118.133.32.1 to 118.133.47.254118.133.47.2554,094
84118.133.48.0/20118.133.48.1 to 118.133.63.254118.133.63.2554,094
85118.133.64.0/20118.133.64.1 to 118.133.79.254118.133.79.2554,094
86118.133.80.0/20118.133.80.1 to 118.133.95.254118.133.95.2554,094
87118.133.96.0/20118.133.96.1 to 118.133.111.254118.133.111.2554,094
88118.133.112.0/20118.133.112.1 to 118.133.127.254118.133.127.2554,094
89118.133.128.0/20118.133.128.1 to 118.133.143.254118.133.143.2554,094
90118.133.144.0/20118.133.144.1 to 118.133.159.254118.133.159.2554,094
91118.133.160.0/20118.133.160.1 to 118.133.175.254118.133.175.2554,094
92118.133.176.0/20118.133.176.1 to 118.133.191.254118.133.191.2554,094
93118.133.192.0/20118.133.192.1 to 118.133.207.254118.133.207.2554,094
94118.133.208.0/20118.133.208.1 to 118.133.223.254118.133.223.2554,094
95118.133.224.0/20118.133.224.1 to 118.133.239.254118.133.239.2554,094
96118.133.240.0/20118.133.240.1 to 118.133.255.254118.133.255.2554,094
97118.134.0.0/20118.134.0.1 to 118.134.15.254118.134.15.2554,094
98118.134.16.0/20118.134.16.1 to 118.134.31.254118.134.31.2554,094
99118.134.32.0/20118.134.32.1 to 118.134.47.254118.134.47.2554,094
100118.134.48.0/20118.134.48.1 to 118.134.63.254118.134.63.2554,094
101118.134.64.0/20118.134.64.1 to 118.134.79.254118.134.79.2554,094
102118.134.80.0/20118.134.80.1 to 118.134.95.254118.134.95.2554,094
103118.134.96.0/20118.134.96.1 to 118.134.111.254118.134.111.2554,094
104118.134.112.0/20118.134.112.1 to 118.134.127.254118.134.127.2554,094
105118.134.128.0/20118.134.128.1 to 118.134.143.254118.134.143.2554,094
106118.134.144.0/20118.134.144.1 to 118.134.159.254118.134.159.2554,094
107118.134.160.0/20118.134.160.1 to 118.134.175.254118.134.175.2554,094
108118.134.176.0/20118.134.176.1 to 118.134.191.254118.134.191.2554,094
109118.134.192.0/20118.134.192.1 to 118.134.207.254118.134.207.2554,094
110118.134.208.0/20118.134.208.1 to 118.134.223.254118.134.223.2554,094
111118.134.224.0/20118.134.224.1 to 118.134.239.254118.134.239.2554,094
112118.134.240.0/20118.134.240.1 to 118.134.255.254118.134.255.2554,094
113118.135.0.0/20118.135.0.1 to 118.135.15.254118.135.15.2554,094
114118.135.16.0/20118.135.16.1 to 118.135.31.254118.135.31.2554,094
115118.135.32.0/20118.135.32.1 to 118.135.47.254118.135.47.2554,094
116118.135.48.0/20118.135.48.1 to 118.135.63.254118.135.63.2554,094
117118.135.64.0/20118.135.64.1 to 118.135.79.254118.135.79.2554,094
118118.135.80.0/20118.135.80.1 to 118.135.95.254118.135.95.2554,094
119118.135.96.0/20118.135.96.1 to 118.135.111.254118.135.111.2554,094
120118.135.112.0/20118.135.112.1 to 118.135.127.254118.135.127.2554,094
121118.135.128.0/20118.135.128.1 to 118.135.143.254118.135.143.2554,094
122118.135.144.0/20118.135.144.1 to 118.135.159.254118.135.159.2554,094
123118.135.160.0/20118.135.160.1 to 118.135.175.254118.135.175.2554,094
124118.135.176.0/20118.135.176.1 to 118.135.191.254118.135.191.2554,094
125118.135.192.0/20118.135.192.1 to 118.135.207.254118.135.207.2554,094
126118.135.208.0/20118.135.208.1 to 118.135.223.254118.135.223.2554,094
127118.135.224.0/20118.135.224.1 to 118.135.239.254118.135.239.2554,094
128118.135.240.0/20118.135.240.1 to 118.135.255.254118.135.255.2554,094
129118.136.0.0/20118.136.0.1 to 118.136.15.254118.136.15.2554,094
130118.136.16.0/20118.136.16.1 to 118.136.31.254118.136.31.2554,094
131118.136.32.0/20118.136.32.1 to 118.136.47.254118.136.47.2554,094
132118.136.48.0/20118.136.48.1 to 118.136.63.254118.136.63.2554,094
133118.136.64.0/20118.136.64.1 to 118.136.79.254118.136.79.2554,094
134118.136.80.0/20118.136.80.1 to 118.136.95.254118.136.95.2554,094
135118.136.96.0/20118.136.96.1 to 118.136.111.254118.136.111.2554,094
136118.136.112.0/20118.136.112.1 to 118.136.127.254118.136.127.2554,094
137118.136.128.0/20118.136.128.1 to 118.136.143.254118.136.143.2554,094
138118.136.144.0/20118.136.144.1 to 118.136.159.254118.136.159.2554,094
139118.136.160.0/20118.136.160.1 to 118.136.175.254118.136.175.2554,094
140118.136.176.0/20118.136.176.1 to 118.136.191.254118.136.191.2554,094
141118.136.192.0/20118.136.192.1 to 118.136.207.254118.136.207.2554,094
142118.136.208.0/20118.136.208.1 to 118.136.223.254118.136.223.2554,094
143118.136.224.0/20118.136.224.1 to 118.136.239.254118.136.239.2554,094
144118.136.240.0/20118.136.240.1 to 118.136.255.254118.136.255.2554,094
145118.137.0.0/20118.137.0.1 to 118.137.15.254118.137.15.2554,094
146118.137.16.0/20118.137.16.1 to 118.137.31.254118.137.31.2554,094
147118.137.32.0/20118.137.32.1 to 118.137.47.254118.137.47.2554,094
148118.137.48.0/20118.137.48.1 to 118.137.63.254118.137.63.2554,094
149118.137.64.0/20118.137.64.1 to 118.137.79.254118.137.79.2554,094
150118.137.80.0/20118.137.80.1 to 118.137.95.254118.137.95.2554,094
151118.137.96.0/20118.137.96.1 to 118.137.111.254118.137.111.2554,094
152118.137.112.0/20118.137.112.1 to 118.137.127.254118.137.127.2554,094
153118.137.128.0/20118.137.128.1 to 118.137.143.254118.137.143.2554,094
154118.137.144.0/20118.137.144.1 to 118.137.159.254118.137.159.2554,094
155118.137.160.0/20118.137.160.1 to 118.137.175.254118.137.175.2554,094
156118.137.176.0/20118.137.176.1 to 118.137.191.254118.137.191.2554,094
157118.137.192.0/20118.137.192.1 to 118.137.207.254118.137.207.2554,094
158118.137.208.0/20118.137.208.1 to 118.137.223.254118.137.223.2554,094
159118.137.224.0/20118.137.224.1 to 118.137.239.254118.137.239.2554,094
160118.137.240.0/20118.137.240.1 to 118.137.255.254118.137.255.2554,094
161118.138.0.0/20118.138.0.1 to 118.138.15.254118.138.15.2554,094
162118.138.16.0/20118.138.16.1 to 118.138.31.254118.138.31.2554,094
163118.138.32.0/20118.138.32.1 to 118.138.47.254118.138.47.2554,094
164118.138.48.0/20118.138.48.1 to 118.138.63.254118.138.63.2554,094
165118.138.64.0/20118.138.64.1 to 118.138.79.254118.138.79.2554,094
166118.138.80.0/20118.138.80.1 to 118.138.95.254118.138.95.2554,094
167118.138.96.0/20118.138.96.1 to 118.138.111.254118.138.111.2554,094
168118.138.112.0/20118.138.112.1 to 118.138.127.254118.138.127.2554,094
169118.138.128.0/20118.138.128.1 to 118.138.143.254118.138.143.2554,094
170118.138.144.0/20118.138.144.1 to 118.138.159.254118.138.159.2554,094
171118.138.160.0/20118.138.160.1 to 118.138.175.254118.138.175.2554,094
172118.138.176.0/20118.138.176.1 to 118.138.191.254118.138.191.2554,094
173118.138.192.0/20118.138.192.1 to 118.138.207.254118.138.207.2554,094
174118.138.208.0/20118.138.208.1 to 118.138.223.254118.138.223.2554,094
175118.138.224.0/20118.138.224.1 to 118.138.239.254118.138.239.2554,094
176118.138.240.0/20118.138.240.1 to 118.138.255.254118.138.255.2554,094
177118.139.0.0/20118.139.0.1 to 118.139.15.254118.139.15.2554,094
178118.139.16.0/20118.139.16.1 to 118.139.31.254118.139.31.2554,094
179118.139.32.0/20118.139.32.1 to 118.139.47.254118.139.47.2554,094
180118.139.48.0/20118.139.48.1 to 118.139.63.254118.139.63.2554,094
181118.139.64.0/20118.139.64.1 to 118.139.79.254118.139.79.2554,094
182118.139.80.0/20118.139.80.1 to 118.139.95.254118.139.95.2554,094
183118.139.96.0/20118.139.96.1 to 118.139.111.254118.139.111.2554,094
184118.139.112.0/20118.139.112.1 to 118.139.127.254118.139.127.2554,094
185118.139.128.0/20118.139.128.1 to 118.139.143.254118.139.143.2554,094
186118.139.144.0/20118.139.144.1 to 118.139.159.254118.139.159.2554,094
187118.139.160.0/20118.139.160.1 to 118.139.175.254118.139.175.2554,094
188118.139.176.0/20118.139.176.1 to 118.139.191.254118.139.191.2554,094
189118.139.192.0/20118.139.192.1 to 118.139.207.254118.139.207.2554,094
190118.139.208.0/20118.139.208.1 to 118.139.223.254118.139.223.2554,094
191118.139.224.0/20118.139.224.1 to 118.139.239.254118.139.239.2554,094
192118.139.240.0/20118.139.240.1 to 118.139.255.254118.139.255.2554,094
193118.140.0.0/20118.140.0.1 to 118.140.15.254118.140.15.2554,094
194118.140.16.0/20118.140.16.1 to 118.140.31.254118.140.31.2554,094
195118.140.32.0/20118.140.32.1 to 118.140.47.254118.140.47.2554,094
196118.140.48.0/20118.140.48.1 to 118.140.63.254118.140.63.2554,094
197118.140.64.0/20118.140.64.1 to 118.140.79.254118.140.79.2554,094
198118.140.80.0/20118.140.80.1 to 118.140.95.254118.140.95.2554,094
199118.140.96.0/20118.140.96.1 to 118.140.111.254118.140.111.2554,094
200118.140.112.0/20118.140.112.1 to 118.140.127.254118.140.127.2554,094
201118.140.128.0/20118.140.128.1 to 118.140.143.254118.140.143.2554,094
202118.140.144.0/20118.140.144.1 to 118.140.159.254118.140.159.2554,094
203118.140.160.0/20118.140.160.1 to 118.140.175.254118.140.175.2554,094
204118.140.176.0/20118.140.176.1 to 118.140.191.254118.140.191.2554,094
205118.140.192.0/20118.140.192.1 to 118.140.207.254118.140.207.2554,094
206118.140.208.0/20118.140.208.1 to 118.140.223.254118.140.223.2554,094
207118.140.224.0/20118.140.224.1 to 118.140.239.254118.140.239.2554,094
208118.140.240.0/20118.140.240.1 to 118.140.255.254118.140.255.2554,094
209118.141.0.0/20118.141.0.1 to 118.141.15.254118.141.15.2554,094
210118.141.16.0/20118.141.16.1 to 118.141.31.254118.141.31.2554,094
211118.141.32.0/20118.141.32.1 to 118.141.47.254118.141.47.2554,094
212118.141.48.0/20118.141.48.1 to 118.141.63.254118.141.63.2554,094
213118.141.64.0/20118.141.64.1 to 118.141.79.254118.141.79.2554,094
214118.141.80.0/20118.141.80.1 to 118.141.95.254118.141.95.2554,094
215118.141.96.0/20118.141.96.1 to 118.141.111.254118.141.111.2554,094
216118.141.112.0/20118.141.112.1 to 118.141.127.254118.141.127.2554,094
217118.141.128.0/20118.141.128.1 to 118.141.143.254118.141.143.2554,094
218118.141.144.0/20118.141.144.1 to 118.141.159.254118.141.159.2554,094
219118.141.160.0/20118.141.160.1 to 118.141.175.254118.141.175.2554,094
220118.141.176.0/20118.141.176.1 to 118.141.191.254118.141.191.2554,094
221118.141.192.0/20118.141.192.1 to 118.141.207.254118.141.207.2554,094
222118.141.208.0/20118.141.208.1 to 118.141.223.254118.141.223.2554,094
223118.141.224.0/20118.141.224.1 to 118.141.239.254118.141.239.2554,094
224118.141.240.0/20118.141.240.1 to 118.141.255.254118.141.255.2554,094
225118.142.0.0/20118.142.0.1 to 118.142.15.254118.142.15.2554,094
226118.142.16.0/20118.142.16.1 to 118.142.31.254118.142.31.2554,094
227118.142.32.0/20118.142.32.1 to 118.142.47.254118.142.47.2554,094
228118.142.48.0/20118.142.48.1 to 118.142.63.254118.142.63.2554,094
229118.142.64.0/20118.142.64.1 to 118.142.79.254118.142.79.2554,094
230118.142.80.0/20118.142.80.1 to 118.142.95.254118.142.95.2554,094
231118.142.96.0/20118.142.96.1 to 118.142.111.254118.142.111.2554,094
232118.142.112.0/20118.142.112.1 to 118.142.127.254118.142.127.2554,094
233118.142.128.0/20118.142.128.1 to 118.142.143.254118.142.143.2554,094
234118.142.144.0/20118.142.144.1 to 118.142.159.254118.142.159.2554,094
235118.142.160.0/20118.142.160.1 to 118.142.175.254118.142.175.2554,094
236118.142.176.0/20118.142.176.1 to 118.142.191.254118.142.191.2554,094
237118.142.192.0/20118.142.192.1 to 118.142.207.254118.142.207.2554,094
238118.142.208.0/20118.142.208.1 to 118.142.223.254118.142.223.2554,094
239118.142.224.0/20118.142.224.1 to 118.142.239.254118.142.239.2554,094
240118.142.240.0/20118.142.240.1 to 118.142.255.254118.142.255.2554,094
241118.143.0.0/20118.143.0.1 to 118.143.15.254118.143.15.2554,094
242118.143.16.0/20118.143.16.1 to 118.143.31.254118.143.31.2554,094
243118.143.32.0/20118.143.32.1 to 118.143.47.254118.143.47.2554,094
244118.143.48.0/20118.143.48.1 to 118.143.63.254118.143.63.2554,094
245118.143.64.0/20118.143.64.1 to 118.143.79.254118.143.79.2554,094
246118.143.80.0/20118.143.80.1 to 118.143.95.254118.143.95.2554,094
247118.143.96.0/20118.143.96.1 to 118.143.111.254118.143.111.2554,094
248118.143.112.0/20118.143.112.1 to 118.143.127.254118.143.127.2554,094
249118.143.128.0/20118.143.128.1 to 118.143.143.254118.143.143.2554,094
250118.143.144.0/20118.143.144.1 to 118.143.159.254118.143.159.2554,094
251118.143.160.0/20118.143.160.1 to 118.143.175.254118.143.175.2554,094
252118.143.176.0/20118.143.176.1 to 118.143.191.254118.143.191.2554,094
253118.143.192.0/20118.143.192.1 to 118.143.207.254118.143.207.2554,094
254118.143.208.0/20118.143.208.1 to 118.143.223.254118.143.223.2554,094
255118.143.224.0/20118.143.224.1 to 118.143.239.254118.143.239.2554,094
256118.143.240.0/20118.143.240.1 to 118.143.255.254118.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses